CUTLASS: cutlass::reference::device::detail Namespace Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
cutlass::reference::device::detail Namespace Reference

## Classes
struct | RandomGaussianFunc
struct | RandomUniformFunc
| Computes a random Gaussian distribution. More...
struct | TensorCopyDiagonalInFunc
| Computes a random Gaussian distribution. More...
struct | TensorCopyDiagonalOutFunc
| Computes a random Gaussian distribution. More...
struct | TensorFillDiagonalFunc
| Computes a random Gaussian distribution. More...
struct | TensorFillLinearFunc
| Computes a random Gaussian distribution. More...
struct | TensorFillRandomGaussianFunc
| Computes a random Gaussian distribution. More...
struct | TensorFillRandomUniformFunc
| Computes a random Gaussian distribution. More...
struct | TensorUpdateDiagonalFunc
| Computes a random Gaussian distribution. More...
struct | TensorUpdateOffDiagonalFunc
| Computes a random Gaussian distribution. More...

## Functions
template<typename FloatType >
CUTLASS_DEVICE FloatType | random_normal_float (curandState_t *state)
template<>
CUTLASS_DEVICE double | random_normal_float< double > (curandState_t *state)
template<typename FloatType >
CUTLASS_DEVICE FloatType | random_uniform_float (curandState_t *state)
template<>
CUTLASS_DEVICE double | random_uniform_float< double > (curandState_t *state)

## Function Documentation

template<typename FloatType >

CUTLASS_DEVICE FloatType cutlass::reference::device::detail::random_normal_float | ( | curandState_t * | state | ) |

template<>

CUTLASS_DEVICE double cutlass::reference::device::detail::random_normal_float< double > | ( | curandState_t * | state | ) |

template<typename FloatType >

CUTLASS_DEVICE FloatType cutlass::reference::device::detail::random_uniform_float | ( | curandState_t * | state | ) |

template<>

CUTLASS_DEVICE double cutlass::reference::device::detail::random_uniform_float< double > | ( | curandState_t * | state | ) |